/**********************************************************************
 * Class ExportHandlerDao
 *  
 * Copyright (c) 2008-2012, German National Library/Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/

package de.dnb.stm.handler.export;

import java.util.List;

/**
 * Class to manage Data Receivers.
 * 
 * @author Kadir Karaca Kocer, German National Library
 * @version 20080814
 * @see ExportHandler
 **********************************************************************/

/* ****************************************************************
 * CHANGELOG:
 *   
 * Created on 13.08.2008 Kadir Karaca Kocer, German National Library
 *******************************************************************/

public class ExportHandlerDao
{
	private List<ExportHandler> exportHandlers;

	/**
	 * @return Returns All exportHandlers.
	 * @author Kadir Karaca Kocer, German National Library
	 */
	public List<ExportHandler> getExportHandlers() {
		return this.exportHandlers;
	}

	/**
	 * @param ehl The list of exportHandlers to set.
	 * @author Kadir Karaca Kocer, German National Library
	 */
	public void setExportHandlers(List<ExportHandler> ehl) {
		this.exportHandlers = ehl;
	}

	/**
	 * @param exportHandlerId
	 * @return Data Receiver Object
	 * @author Kadir Karaca Kocer, German National Library
	 */
	public ExportHandler getExportHandlerById(long exportHandlerId) {
		for (ExportHandler exportHandler : this.exportHandlers) {
			if (exportHandler.getId() == exportHandlerId) {
				return exportHandler;
			}
		}
		return null;
	}

}
