 /**********************************************************************
 * Class ProcessorExportException
 *  
 * Copyright (c) 2005-2012, German National Library/Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/

package de.dnb.stm.handler.export;

/**
 * @author Alexander Slotta
 */
public class ProcessorExportException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = -9021892123666454033L;

	/**
	 * <p>Constructor of class ProcessorException</p>
	 * 
	 * @since 10.09.2005
	 * @author Alexander Slotta
	 */
	public ProcessorExportException () {
		super();
	}

	/**
	 * <p>Constructor of class ProcessorException</p>
	 * 
	 * @param message the exception message
	 * @since 10.09.2005
	 */
	public ProcessorExportException (String message) {
		super(message);
	}
	
	/**
	 * <p>Constructor of class ProcessorException</p>
	 * 
	 * @param message the exception message
	 * @param cause the object from type Throwable
	 * @since 10.09.2005
	 * @author Alexander Slotta
	 */
	public ProcessorExportException (String message, Throwable cause) {
		super(message, cause);
	}
}
