/**********************************************************************
 * Class ManagerConstants
 *  
 * Copyright (c) 2005-2012, German National Library/Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/

package de.dnb.stm.manager;

/**
 * @author kocer
 *
 */
public class ManagerConstants
{

	/**
     * <p>The task status for error: not existing index. <br />Default value {@value}.</p>
     */
	public final static int INDEX_OUT_OF_BOUNDS = -60;
	   
    /**
     * <p>Number of consequent errors to be listet in "Trouble-List".
     * <br />Default value {@value}.</p>
     */
    public final static int ERROR_THRESHOLD = 5;

    /**
     * <p>The pattern for OAI datetime simple granularity value yyyy-MM-dd</p>
     * @since 10.09.2005
     * @author Alexander Slotta
     */
    public final static String SIMPLE_DATE_PATTERN = "yyyy-MM-dd";

    /**
     * <p>The pattern for OAI datetime complex granularity value = yyyy-MM-dd'T'HH:mm:ss'Z'</p>
     * @since 10.09.2005
     * @author Alexander Slotta
     */
    public final static String COMPLEX_DATE_PATTERN = "yyyy-MM-dd'T'HH:mm:ss'Z'";

    /**
     * Locale to use. Important for displaying Date/Time ...etc
     * Change it to your home country
     */
     public final static java.util.Locale LOCALE = java.util.Locale.GERMANY;

}
