/**********************************************************************
 * Interface Task
 *  
 * Copyright (c) 2005-2012, German National Library/Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/

package de.dnb.stm.task;

import java.util.Date;

/**
 * Interface for a task.
 * 
 * @author Kadir Karaca Kocer -- German National Library
 */
public interface Task
{
	/**
	 * @return Tart date.
	 */
	public Date getStartDate();
	
	/**
	 * @return Run interval.
	 */
	public int getRunInterval();
	
	/**
	 * @return Status of the task.
	 */
	public int getStatus();
	
	/**
	 * @return The unique id of this task.
	 */
	public long getTaskId();
	
	/**
	 * @param id Id of the ExportHandler
	 */
	public void setExportHandlerId(int id);
	
	/**
	 * @param startDate Date to start.
	 */
	public void setStartDate(Date startDate);
	
	/**
	 * @param runInterval Run interval to set.
	 */
	public void setRunInterval(int runInterval);
	
	/**
	 * @param status Status to set.
	 */
	public void setStatus(int status);
	
	/**
	 * @param id Task id to set.
	 */
	public void setTaskId(long id);
}
